//testbench for stimualation

#ifndef SYSTEMC_H
#include "systemc.h"
#endif


struct testbench : public sc_sync
{
	sc_signal<int>& a;
	sc_signal<int>& c;

	void entry()
	{
		static int x = 0;
		static int y = 0;
		while(1)
		{
			x += 2;
			a = x;
			wait();
			cout<<"*** waiting ***"<<endl;

			y++;
			c = y;
			wait();
			cout<<"*** waiting again ***"<<endl;
		}
	}

	testbench (const char *name, sc_signal<int>&IN1,
	sc_signal<int>&IN2, sc_clock_edge& CLK) : sc_sync(name, CLK), a(IN1), c(IN2)
	{

	}

};
